1. course
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
    • refresh token
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users [admin]
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher [institution]
    • get
    • post
    • put
    • updateStatus
  • playground
    • teacher
      • course
        • store
          POST
        • get
          GET
        • show
          GET
        • put
          PUT
        • active status
          PATCH
      • modul
        • post
        • put
        • active status
        • show
    • student
      • submit answer
  • generate
    • question sugesstion
  1. course

put

Developing
PUT
/playgrounds/{childId}/{playgroundId}

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff --request PUT 'https://api.leksigo.com/api/v2/playgrounds/{{childId}}/{{playgroundId}}' \
--header 'Authorization: Bearer {{accessToken}}' \
--header 'Content-Type: application/json' \
--data '{
    "title": "Judul Course Setelah Di Edit",
    "description": "Ini deskripsi dari course satu [1]"
}'
Response Response Example
Success
{
    "success": true,
    "message": "Playground berhasil diperbarui",
    "data": {
        "_id": "6a04800bb771d327b314615d",
        "title": "Judul Course Setelah Di Edit",
        "description": "Ini deskripsi dari course satu [1]",
        "teacherId": "6a044f42ca1f1c964b06426d",
        "childId": "6a02bdcf90f6f9b59ef159ef",
        "deleted": false,
        "modules": [],
        "createdAt": "2026-05-13T13:43:39.987Z",
        "updatedAt": "2026-05-13T13:55:06.741Z",
        "__v": 0
    }
}
Modified at 2026-07-28 13:35:32
Previous
show
Next
active status
Built with